# Personal Access Tokens

`Personal Access Tokens (PATs)` are used to automate actions on behalf a user.

`PATs` are linked to your user, and cannot have more permission then your user. However, a `PAT` has its own permissions, which can be used to limit what the `PAT` is allowed to do. For example, you could create a read only `PAT` to monitor transactions in your wallet, without having to reduce the permisison of your user.

Since `PATs` are tied to a user, if the user leaves your company, the `PAT` would be deactived at the same time as the user. Because of this, `PATs` are not meant to be used for server tasks. If you have a long lived task, it is recommended that you use a `Service Account` instead, as `Service Accounts` are not tied to a specific user. This also means that a `Service Account` can have different permissions from the user that created the `Service Account`, giving you the ability to limit user permissions without effecting server tasks.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/personal-access-token-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
